
 //+------------------------------------------------------------------+
 //|                                                                  |
 //|                         www.forexdyr.com                         |
 //|                         King_Prog                                |
 //+------------------------------------------------------------------+
   
#property copyright "King_Brog"
#property link      "www.forexdyr.com"

#property indicator_separate_window
#property indicator_minimum -120
#property indicator_maximum 20
#property indicator_buffers 1
#property indicator_color1 97,97,220

extern int period=2;
extern bool EnableAlert=true;
extern double OverSold=-90;
extern double OverBought=-10;
extern bool EnableSendMail=false;
extern bool EnableComment=true;

datetime Timee;
double WPR_Line[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexBuffer(0,WPR_Line);
   SetIndexStyle(0,DRAW_LINE);
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
 {
  Comment("");
  return(0);
 }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() 
 { 
  if(EnableComment)Comment("King_Prog"+"\n"+"www.forexdyr.com");  
   
  int bars=Bars-IndicatorCounted();
  
  for(int i=0;i<=bars;i++)
  {
   WPR_Line[i]=iWPR(Symbol(),0,period,i);
  }  
   
  if(WPR_Line[1]>=OverBought&&WPR_Line[2]<OverBought&&Timee!=Time[0])
  {
   if(EnableAlert)Alert("Put Check EMA "+Symbol()+" TF: "+Period());
   if(EnableSendMail)SendMail("Put Check EMAt","WPR Over Bought "+Symbol()+" period: "+Period());
   Timee=Time[0];
  }
  
  if(WPR_Line[1]<=OverSold&&WPR_Line[2]>OverSold&&Timee!=Time[0])
  {
   if(EnableAlert)Alert("Call Check EMA !"+Symbol()+" TF: "+Period());
   if(EnableSendMail)SendMail("Call Check EMA !","WPR Over Sold "+Symbol()+" period: "+Period());
   Timee=Time[0];
  }   
  
 }